#
# BEGIN COPYRIGHT BLOCK
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
# 
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
# END COPYRIGHT BLOCK
#
# This file is where you tell the build process where to find the
# various components used during the build process.

# You can either use components built locally from source or
# pre-built components.  The reason for the different macros
# for SOURCE and BUILD is that the locations for the libs, includes,
# etc. are usually different for packages built from source vs.
# pre-built packages.  As an example, when building NSPR from
# source, the includes are in mozilla/dist/$(OBJDIR_NAME)/include
# where OBJDIR_NAME includes the OS, arch, compiler, thread model, etc.
# When using the pre-built NSPR from Mozilla FTP, the include files
# are just in nsprdir/include.  This is why we have to make the
# distinction between a SOURCE component and a BUILD (pre-built)
# component.  See components.mk and nsconfig.mk for the gory details.

# For each component, specify the source root OR the pre-built
# component directory.  If both a SOURCE_ROOT and a BUILD_DIR are
# defined for a component, the SOURCE_ROOT will be used - don't do
# this, it's confusing.

# For the Mozilla components, if using source for all of them,
# you can just define MOZILLA_SOURCE_ROOT - the build will
# assume all of them have been built in that same directory
# (as per the recommended build instructions)

# For all components, the recommended way is to put each
# component in a subdirectory of the parent directory of
# BUILD_ROOT, both with pre-built and source components

MOZILLA_SOURCE_ROOT = $(BUILD_ROOT)/../mozilla
ifdef MOZILLA_SOURCE_ROOT
  ifndef MOZ_OBJDIR_NAME
    # some of the mozilla components are put in a platform/buildtype specific
    # subdir of mozilla/dist, and their naming convention is different than
    # ours - we need to map ours to theirs
    ifneq (,$(findstring RHEL3,$(NSOBJDIR_NAME)))
      MOZ_OBJDIR_NAME = $(subst _gcc3_,_glibc_PTH$(64BIT_TAG)_,$(subst RHEL3,Linux2.4,$(NSOBJDIR_NAME)))
    else
    ifneq (,$(findstring RHEL4,$(NSOBJDIR_NAME)))
      MOZ_OBJDIR_NAME = $(subst _gcc3_,_glibc_PTH$(64BIT_TAG)_,$(subst RHEL4,Linux2.6,$(NSOBJDIR_NAME)))
    else
    ifneq (,$(findstring Linux,$(NSOBJDIR_NAME)))
      MOZ_OBJDIR_NAME = $(subst _glibc_PTH_,_glibc_PTH$(NS64TAG)_,$(NSOBJDIR_NAME))
    else
      MOZ_OBJDIR_NAME = $(NSOBJDIR_NAME)
    endif
    endif
    endif
  endif
endif

NSPR_SOURCE_ROOT = $(MOZILLA_SOURCE_ROOT)

SECURITY_SOURCE_ROOT = $(MOZILLA_SOURCE_ROOT)

LDAPSDK_SOURCE_ROOT = $(MOZILLA_SOURCE_ROOT)

MOD_ADMSERV_SOURCE_ROOT = $(BUILD_ROOT)/../mod_admserv
MOD_RESTARTD_SOURCE_ROOT = $(BUILD_ROOT)/../mod_restartd
MOD_NSS_SOURCE_ROOT = $(BUILD_ROOT)/../mod_nss

ICU_SOURCE_ROOT = $(BUILD_ROOT)/../icu

ADMINUTIL_SOURCE_ROOT = $(BUILD_ROOT)/../adminutil
#ADMINUTIL_BUILD_DIR = $(NSCP_DISTDIR_FULL_RTL)/adminutil

SETUPUTIL_SOURCE_ROOT = $(BUILD_ROOT)/../setuputil
#SETUPUTIL_BUILD_DIR = $(NSCP_DISTDIR_FULL_RTL)/setuputil

CONSOLE_SOURCE_DIR = $(BUILD_ROOT)/..

ADMSERVCONSOLE_SOURCE_DIR = $(BUILD_ROOT)/..

#LDAPJDK_SOURCE_DIR = $(MOZILLA_SOURCE_ROOT)
LDAPJDK_BUILD_DIR = $(CONSOLE_SOURCE_DIR)/imports/ldapjdk

#JSS_SOURCE_DIR = $(MOZILLA_SOURCE_ROOT)
JSS_BUILD_DIR = $(CONSOLE_SOURCE_DIR)/imports/jss

ONLINEHELP_SOURCE_DIR = $(BUILD_ROOT)/../onlinehelp

SASL_SOURCE_ROOT = $(BUILD_ROOT)/../cyrus-sasl-2.1.20/built
#SASL_BUILD_DIR = $(BUILD_ROOT)/../sasl
